Subject: bug#18637: 24.4.50; doc of frame parameter DISPLAY vs actual value on MS Windows

From: Eli Zaretskii <[email-masked]>
Date: Mon, 06 Oct 2014 22:29:51 +0300

> Date: Mon, 6 Oct 2014 10:25:31 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked]
> 
> > > Which function tells you what monitor is showing a given frame (on
> > > MS Windows)?
> > 
> > frame-monitor-attributes, if I understand what you want.
> 
> I see that that function returns some information about (attributes
> of) the monitor that is most associated with the argument frame.  And
> I see that one of the attributes is `name'.   Presumably, monitors
> would be distinguished by this parameter.

If you need to distinguish them, which should be very rarely.

> However, it is an optional parameter, so I can't imagine that one can
> count on it to distinguish monitors.  (Just why is it optional?)

I guess it's optional because not all windowing systems support it.
It is always present on MS-Windows, AFAIK.

> If one cannot count on `name', how is the identity of monitors
> determined?  Do you just go by the particular cons of attributes
> that is returned by `frame-monitor-attributes'?

Depends on what you need this for.